Vraag Mountfout: "onbekend bestandssysteemtype 'exfat'"


Bij het proberen om een ​​exfat bestandssysteem te mounten, krijg ik de volgende foutmelding:

Error mounting /dev/sda6 at /media/gkp/Backup: Command-line 
`mount -t "exfat" -o "uhelper=udisks2,nodev,nosuid" "/dev/sda6" "/media/gkp/Backup"' 
exited with non-zero exit status 32: mount: unknown filesystem type 'exfat'

Exfat wordt gebruikt op sommige USB-sticks en camera SD-kaarten. Wat kan ik doen om dit type bestandssysteem te mounten?


258
2017-10-23 08:57


oorsprong


Geef de versie op van Ubuntu die u gebruikt. Zoals je ziet is er meer dan 1 antwoord voor Ubuntu. - Rinzwind
zie ook askubuntu.com/a/85459/20972 (vooral voor 13.10) - rogerdpack
ubuntu 14.04 doet dit. - SDsolar
In mijn geval moest ik ook de universe-repository toevoegen: sudo add-apt-repository universe  sudo apt-get update - Ben Creasy


antwoorden:


U krijgt deze foutmelding omdat het exfat-bestandssysteem standaard niet in Ubuntu is geïnstalleerd. exFAT is gepatenteerd en gepatenteerd door Microsoft.

Ubuntu 13.10 of hoger

Sinds Ubuntu 13.10 bevindt dit pakket zich in de hoofdrepository. Gewoon installeren exfat-fuse en exfat-utils:

sudo apt-get install exfat-fuse exfat-utils

Ubuntu 12.04

Voor ubuntu 13.04 en lager heb je een ppa nodig om het te installeren exfat ondersteuning. Installatieprocedure:

sudo apt-add-repository ppa:relan/exfat
sudo apt-get update
sudo apt-get install fuse-exfat

Als je de fout ziet gpg: "tag:launchpad.net:2008:redacted" not a key ID: skipping tijdens de apt-add-repository stap, dan moet u de ondertekeningssleutel handmatig installeren en de apt-get update en apt-get install stappen daarna:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 4DF9B28CA252A784


392
2017-10-23 10:21



lijkt op 13.10, je hebt niet eens de ppa nodig, het is gewoon sudo apt-get install exfat-fuse ref: askubuntu.com/a/85459/20972 - rogerdpack
:) en daarna help sudo ntfsfix / dev / sdb1 me om mount te krijgen. wacht een paar seconden, het kan tijd zijn om te monteren. - CoDe
1. Op Ubuntu 14.04 is geen PPA nodig. Ik kon sudo apt-get install exfat-fuse en, na installatie, werd mijn SD-kaart van 64 GB gemonteerd zodra ik deze had aangesloten. - Drew Noakes
Het werkt ook in Ubuntu 15.10! - Luis Lobo Borobia
sudo apt-get install exfat-fuse exfat-utils Werkt op 16.04! - Cat